package com.sysu.admin.utils.shape.postgis;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author shu hao
 * @description:
 * @date 2021/12/23 9:25
 */
@Component
@ConfigurationProperties("postgis")
public class PostGisConfig {
    private static String url;
    private static Integer port;
    private static String database;
    private static String user;
    private static String password;

    public void setUrl(String url) {
        PostGisConfig.url = url;
    }

    public void setPort(Integer port) {
        PostGisConfig.port = port;
    }

    public void setDatabase(String database) {
        PostGisConfig.database = database;
    }

    public void setUser(String user) {
        PostGisConfig.user = user;
    }

    public void setPassword(String password) {
        PostGisConfig.password = password;
    }

    public String getUrl() {
        return url;
    }

    public Integer getPort() {
        return port;
    }

    public String getDatabase() {
        return database;
    }

    public String getUser() {
        return user;
    }

    public String getPassword() {
        return password;
    }
}
